Module java.base
Package java.lang

# Enum Class Character.UnicodeScript

java.lang.Object
java.lang.Enum<Character.UnicodeScript>
java.lang.Character.UnicodeScript

All Implemented Interfaces:
  `Serializable`, `Comparable<Character.UnicodeScript>`, `Constable`

Enclosing class:
  `Character`

public static enum Character.UnicodeScript extends Enum<Character.UnicodeScript>
A family of character subsets representing the character scripts defined in the Unicode Standard Annex #24: Script Names. Every Unicode character is assigned to a single Unicode script, either a specific script, such as `Latin`, or one of the following three special values, `Inherited`, `Common` or `Unknown`.

Since:
  1.7
External Specifications
  - Unicode Script Property

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADLAM`
Unicode script "Adlam".
`AHOM`
Unicode script "Ahom".
`ANATOLIAN_HIEROGLYPHS`
Unicode script "Anatolian Hieroglyphs".
`ARABIC`
Unicode script "Arabic".
`ARMENIAN`
Unicode script "Armenian".
`AVESTAN`
Unicode script "Avestan".
`BALINESE`
Unicode script "Balinese".
`BAMUM`
Unicode script "Bamum".
`BASSA_VAH`
Unicode script "Bassa Vah".
`BATAK`
Unicode script "Batak".
`BENGALI`
Unicode script "Bengali".
`BHAIKSUKI`
Unicode script "Bhaiksuki".
`BOPOMOFO`
Unicode script "Bopomofo".
`BRAHMI`
Unicode script "Brahmi".
`BRAILLE`
Unicode script "Braille".
`BUGINESE`
Unicode script "Buginese".
`BUHID`
Unicode script "Buhid".
`CANADIAN_ABORIGINAL`
Unicode script "Canadian_Aboriginal".
`CARIAN`
Unicode script "Carian".
`CAUCASIAN_ALBANIAN`
Unicode script "Caucasian Albanian".
`CHAKMA`
Unicode script "Chakma".
`CHAM`
Unicode script "Cham".
`CHEROKEE`
Unicode script "Cherokee".
`CHORASMIAN`
Unicode script "Chorasmian".
`COMMON`
Unicode script "Common".
`COPTIC`
Unicode script "Coptic".
`CUNEIFORM`
Unicode script "Cuneiform".
`CYPRIOT`
Unicode script "Cypriot".
`CYPRO_MINOAN`
Unicode script "Cypro Minoan".
`CYRILLIC`
Unicode script "Cyrillic".
`DESERET`
Unicode script "Deseret".
`DEVANAGARI`
Unicode script "Devanagari".
`DIVES_AKURU`
Unicode script "Dives Akuru".
`DOGRA`
Unicode script "Dogra".
`DUPLOYAN`
Unicode script "Duployan".
`EGYPTIAN_HIEROGLYPHS`
Unicode script "Egyptian_Hieroglyphs".
`ELBASAN`
Unicode script "Elbasan".
`ELYMAIC`
Unicode script "Elymaic".
`ETHIOPIC`
Unicode script "Ethiopic".
`GEORGIAN`
Unicode script "Georgian".
`GLAGOLITIC`
Unicode script "Glagolitic".
`GOTHIC`
Unicode script "Gothic".
`GRANTHA`
Unicode script "Grantha".
`GREEK`
Unicode script "Greek".
`GUJARATI`
Unicode script "Gujarati".
`GUNJALA_GONDI`
Unicode script "Gunjala Gondi".
`GURMUKHI`
Unicode script "Gurmukhi".
`HAN`
Unicode script "Han".
`HANGUL`
Unicode script "Hangul".
`HANIFI_ROHINGYA`
Unicode script "Hanifi Rohingya".
`HANUNOO`
Unicode script "Hanunoo".
`HATRAN`
Unicode script "Hatran".
`HEBREW`
Unicode script "Hebrew".
`HIRAGANA`
Unicode script "Hiragana".
`IMPERIAL_ARAMAIC`
Unicode script "Imperial_Aramaic".
`INHERITED`
Unicode script "Inherited".
`INSCRIPTIONAL_PAHLAVI`
Unicode script "Inscriptional_Pahlavi".
`INSCRIPTIONAL_PARTHIAN`
Unicode script "Inscriptional_Parthian".
`JAVANESE`
Unicode script "Javanese".
`KAITHI`
Unicode script "Kaithi".
`KANNADA`
Unicode script "Kannada".
`KATAKANA`
Unicode script "Katakana".
`KAWI`
Unicode script "Kawi".
`KAYAH_LI`
Unicode script "Kayah_Li".
`KHAROSHTHI`
Unicode script "Kharoshthi".
`KHITAN_SMALL_SCRIPT`
Unicode script "Khitan Small Script".
`KHMER`
Unicode script "Khmer".
`KHOJKI`
Unicode script "Khojki".
`KHUDAWADI`
Unicode script "Khudawadi".
`LAO`
Unicode script "Lao".
`LATIN`
Unicode script "Latin".
`LEPCHA`
Unicode script "Lepcha".
`LIMBU`
Unicode script "Limbu".
`LINEAR_A`
Unicode script "Linear A".
`LINEAR_B`
Unicode script "Linear_B".
`LISU`
Unicode script "Lisu".
`LYCIAN`
Unicode script "Lycian".
`LYDIAN`
Unicode script "Lydian".
`MAHAJANI`
Unicode script "Mahajani".
`MAKASAR`
Unicode script "Makasar".
`MALAYALAM`
Unicode script "Malayalam".
`MANDAIC`
Unicode script "Mandaic".
`MANICHAEAN`
Unicode script "Manichaean".
`MARCHEN`
Unicode script "Marchen".
`MASARAM_GONDI`
Unicode script "Masaram Gondi".
`MEDEFAIDRIN`
Unicode script "Medefaidrin".
`MEETEI_MAYEK`
Unicode script "Meetei_Mayek".
`MENDE_KIKAKUI`
Unicode script "Mende Kikakui".
`MEROITIC_CURSIVE`
Unicode script "Meroitic Cursive".
`MEROITIC_HIEROGLYPHS`
Unicode script "Meroitic Hieroglyphs".
`MIAO`
Unicode script "Miao".
`MODI`
Unicode script "Modi".
`MONGOLIAN`
Unicode script "Mongolian".
`MRO`
Unicode script "Mro".
`MULTANI`
Unicode script "Multani".
`MYANMAR`
Unicode script "Myanmar".
`NABATAEAN`
Unicode script "Nabataean".
`NAG_MUNDARI`
Unicode script "Nag Mundari".
`NANDINAGARI`
Unicode script "Nandinagari".
`NEW_TAI_LUE`
Unicode script "New_Tai_Lue".
`NEWA`
Unicode script "Newa".
`NKO`
Unicode script "Nko".
`NUSHU`
Unicode script "Nushu".
`NYIAKENG_PUACHUE_HMONG`
Unicode script "Nyiakeng Puachue Hmong".
`OGHAM`
Unicode script "Ogham".
`OL_CHIKI`
Unicode script "Ol_Chiki".
`OLD_HUNGARIAN`
Unicode script "Old Hungarian".
`OLD_ITALIC`
Unicode script "Old_Italic".
`OLD_NORTH_ARABIAN`
Unicode script "Old North Arabian".
`OLD_PERMIC`
Unicode script "Old Permic".
`OLD_PERSIAN`
Unicode script "Old_Persian".
`OLD_SOGDIAN`
Unicode script "Old Sogdian".
`OLD_SOUTH_ARABIAN`
Unicode script "Old_South_Arabian".
`OLD_TURKIC`
Unicode script "Old_Turkic".
`OLD_UYGHUR`
Unicode script "Old Uyghur".
`ORIYA`
Unicode script "Oriya".
`OSAGE`
Unicode script "Osage".
`OSMANYA`
Unicode script "Osmanya".
`PAHAWH_HMONG`
Unicode script "Pahawh Hmong".
`PALMYRENE`
Unicode script "Palmyrene".
`PAU_CIN_HAU`
Unicode script "Pau Cin Hau".
`PHAGS_PA`
Unicode script "Phags_Pa".
`PHOENICIAN`
Unicode script "Phoenician".
`PSALTER_PAHLAVI`
Unicode script "Psalter Pahlavi".
`REJANG`
Unicode script "Rejang".
`RUNIC`
Unicode script "Runic".
`SAMARITAN`
Unicode script "Samaritan".
`SAURASHTRA`
Unicode script "Saurashtra".
`SHARADA`
Unicode script "Sharada".
`SHAVIAN`
Unicode script "Shavian".
`SIDDHAM`
Unicode script "Siddham".
`SIGNWRITING`
Unicode script "SignWriting".
`SINHALA`
Unicode script "Sinhala".
`SOGDIAN`
Unicode script "Sogdian".
`SORA_SOMPENG`
Unicode script "Sora Sompeng".
`SOYOMBO`
Unicode script "Soyombo".
`SUNDANESE`
Unicode script "Sundanese".
`SYLOTI_NAGRI`
Unicode script "Syloti_Nagri".
`SYRIAC`
Unicode script "Syriac".
`TAGALOG`
Unicode script "Tagalog".
`TAGBANWA`
Unicode script "Tagbanwa".
`TAI_LE`
Unicode script "Tai_Le".
`TAI_THAM`
Unicode script "Tai_Tham".
`TAI_VIET`
Unicode script "Tai_Viet".
`TAKRI`
Unicode script "Takri".
`TAMIL`
Unicode script "Tamil".
`TANGSA`
Unicode script "Tangsa".
`TANGUT`
Unicode script "Tangut".
`TELUGU`
Unicode script "Telugu".
`THAANA`
Unicode script "Thaana".
`THAI`
Unicode script "Thai".
`TIBETAN`
Unicode script "Tibetan".
`TIFINAGH`
Unicode script "Tifinagh".
`TIRHUTA`
Unicode script "Tirhuta".
`TOTO`
Unicode script "Toto".
`UGARITIC`
Unicode script "Ugaritic".
`UNKNOWN`
Unicode script "Unknown".
`VAI`
Unicode script "Vai".
`VITHKUQI`
Unicode script "Vithkuqi".
`WANCHO`
Unicode script "Wancho".
`WARANG_CITI`
Unicode script "Warang Citi".
`YEZIDI`
Unicode script "Yezidi".
`YI`
Unicode script "Yi".
`ZANABAZAR_SQUARE`
Unicode script "Zanabazar Square".

## Method Summary

Modifier and Type
Method
Description
`static final Character.UnicodeScript`
`forName(String scriptName)`
Returns the UnicodeScript constant with the given Unicode script name or the script name alias.
`static Character.UnicodeScript`
`of(int codePoint)`
Returns the enum constant representing the Unicode script of which the given character (Unicode code point) is assigned to.
`static Character.UnicodeScript`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Character.UnicodeScript[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMON

public static final Character.UnicodeScript COMMON
Unicode script "Common".

### LATIN

public static final Character.UnicodeScript LATIN
Unicode script "Latin".

### GREEK

public static final Character.UnicodeScript GREEK
Unicode script "Greek".

### CYRILLIC

public static final Character.UnicodeScript CYRILLIC
Unicode script "Cyrillic".

### ARMENIAN

public static final Character.UnicodeScript ARMENIAN
Unicode script "Armenian".

### HEBREW

public static final Character.UnicodeScript HEBREW
Unicode script "Hebrew".

### ARABIC

public static final Character.UnicodeScript ARABIC
Unicode script "Arabic".

### SYRIAC

public static final Character.UnicodeScript SYRIAC
Unicode script "Syriac".

### THAANA

public static final Character.UnicodeScript THAANA
Unicode script "Thaana".

### DEVANAGARI

public static final Character.UnicodeScript DEVANAGARI
Unicode script "Devanagari".

### BENGALI

public static final Character.UnicodeScript BENGALI
Unicode script "Bengali".

### GURMUKHI

public static final Character.UnicodeScript GURMUKHI
Unicode script "Gurmukhi".

### GUJARATI

public static final Character.UnicodeScript GUJARATI
Unicode script "Gujarati".

### ORIYA

public static final Character.UnicodeScript ORIYA
Unicode script "Oriya".

### TAMIL

public static final Character.UnicodeScript TAMIL
Unicode script "Tamil".

### TELUGU

public static final Character.UnicodeScript TELUGU
Unicode script "Telugu".

### KANNADA

public static final Character.UnicodeScript KANNADA
Unicode script "Kannada".

### MALAYALAM

public static final Character.UnicodeScript MALAYALAM
Unicode script "Malayalam".

### SINHALA

public static final Character.UnicodeScript SINHALA
Unicode script "Sinhala".

### THAI

public static final Character.UnicodeScript THAI
Unicode script "Thai".

### LAO

public static final Character.UnicodeScript LAO
Unicode script "Lao".

### TIBETAN

public static final Character.UnicodeScript TIBETAN
Unicode script "Tibetan".

### MYANMAR

public static final Character.UnicodeScript MYANMAR
Unicode script "Myanmar".

### GEORGIAN

public static final Character.UnicodeScript GEORGIAN
Unicode script "Georgian".

### HANGUL

public static final Character.UnicodeScript HANGUL
Unicode script "Hangul".

### ETHIOPIC

public static final Character.UnicodeScript ETHIOPIC
Unicode script "Ethiopic".

### CHEROKEE

public static final Character.UnicodeScript CHEROKEE
Unicode script "Cherokee".

### CANADIAN_ABORIGINAL

public static final Character.UnicodeScript CANADIAN_ABORIGINAL
Unicode script "Canadian_Aboriginal".

### OGHAM

public static final Character.UnicodeScript OGHAM
Unicode script "Ogham".

### RUNIC

public static final Character.UnicodeScript RUNIC
Unicode script "Runic".

### KHMER

public static final Character.UnicodeScript KHMER
Unicode script "Khmer".

### MONGOLIAN

public static final Character.UnicodeScript MONGOLIAN
Unicode script "Mongolian".

### HIRAGANA

public static final Character.UnicodeScript HIRAGANA
Unicode script "Hiragana".

### KATAKANA

public static final Character.UnicodeScript KATAKANA
Unicode script "Katakana".

### BOPOMOFO

public static final Character.UnicodeScript BOPOMOFO
Unicode script "Bopomofo".

### HAN

public static final Character.UnicodeScript HAN
Unicode script "Han".

### YI

public static final Character.UnicodeScript YI
Unicode script "Yi".

### OLD_ITALIC

public static final Character.UnicodeScript OLD_ITALIC
Unicode script "Old_Italic".

### GOTHIC

public static final Character.UnicodeScript GOTHIC
Unicode script "Gothic".

### DESERET

public static final Character.UnicodeScript DESERET
Unicode script "Deseret".

### INHERITED

public static final Character.UnicodeScript INHERITED
Unicode script "Inherited".

### TAGALOG

public static final Character.UnicodeScript TAGALOG
Unicode script "Tagalog".

### HANUNOO

public static final Character.UnicodeScript HANUNOO
Unicode script "Hanunoo".

### BUHID

public static final Character.UnicodeScript BUHID
Unicode script "Buhid".

### TAGBANWA

public static final Character.UnicodeScript TAGBANWA
Unicode script "Tagbanwa".

### LIMBU

public static final Character.UnicodeScript LIMBU
Unicode script "Limbu".

### TAI_LE

public static final Character.UnicodeScript TAI_LE
Unicode script "Tai_Le".

### LINEAR_B

public static final Character.UnicodeScript LINEAR_B
Unicode script "Linear_B".

### UGARITIC

public static final Character.UnicodeScript UGARITIC
Unicode script "Ugaritic".

### SHAVIAN

public static final Character.UnicodeScript SHAVIAN
Unicode script "Shavian".

### OSMANYA

public static final Character.UnicodeScript OSMANYA
Unicode script "Osmanya".

### CYPRIOT

public static final Character.UnicodeScript CYPRIOT
Unicode script "Cypriot".

### BRAILLE

public static final Character.UnicodeScript BRAILLE
Unicode script "Braille".

### BUGINESE

public static final Character.UnicodeScript BUGINESE
Unicode script "Buginese".

### COPTIC

public static final Character.UnicodeScript COPTIC
Unicode script "Coptic".

### NEW_TAI_LUE

public static final Character.UnicodeScript NEW_TAI_LUE
Unicode script "New_Tai_Lue".

### GLAGOLITIC

public static final Character.UnicodeScript GLAGOLITIC
Unicode script "Glagolitic".

### TIFINAGH

public static final Character.UnicodeScript TIFINAGH
Unicode script "Tifinagh".

### SYLOTI_NAGRI

public static final Character.UnicodeScript SYLOTI_NAGRI
Unicode script "Syloti_Nagri".

### OLD_PERSIAN

public static final Character.UnicodeScript OLD_PERSIAN
Unicode script "Old_Persian".

### KHAROSHTHI

public static final Character.UnicodeScript KHAROSHTHI
Unicode script "Kharoshthi".

### BALINESE

public static final Character.UnicodeScript BALINESE
Unicode script "Balinese".

### CUNEIFORM

public static final Character.UnicodeScript CUNEIFORM
Unicode script "Cuneiform".

### PHOENICIAN

public static final Character.UnicodeScript PHOENICIAN
Unicode script "Phoenician".

### PHAGS_PA

public static final Character.UnicodeScript PHAGS_PA
Unicode script "Phags_Pa".

### NKO

public static final Character.UnicodeScript NKO
Unicode script "Nko".

### SUNDANESE

public static final Character.UnicodeScript SUNDANESE
Unicode script "Sundanese".

### BATAK

public static final Character.UnicodeScript BATAK
Unicode script "Batak".

### LEPCHA

public static final Character.UnicodeScript LEPCHA
Unicode script "Lepcha".

### OL_CHIKI

public static final Character.UnicodeScript OL_CHIKI
Unicode script "Ol_Chiki".

### VAI

public static final Character.UnicodeScript VAI
Unicode script "Vai".

### SAURASHTRA

public static final Character.UnicodeScript SAURASHTRA
Unicode script "Saurashtra".

### KAYAH_LI

public static final Character.UnicodeScript KAYAH_LI
Unicode script "Kayah_Li".

### REJANG

public static final Character.UnicodeScript REJANG
Unicode script "Rejang".

### LYCIAN

public static final Character.UnicodeScript LYCIAN
Unicode script "Lycian".

### CARIAN

public static final Character.UnicodeScript CARIAN
Unicode script "Carian".

### LYDIAN

public static final Character.UnicodeScript LYDIAN
Unicode script "Lydian".

### CHAM

public static final Character.UnicodeScript CHAM
Unicode script "Cham".

### TAI_THAM

public static final Character.UnicodeScript TAI_THAM
Unicode script "Tai_Tham".

### TAI_VIET

public static final Character.UnicodeScript TAI_VIET
Unicode script "Tai_Viet".

### AVESTAN

public static final Character.UnicodeScript AVESTAN
Unicode script "Avestan".

### EGYPTIAN_HIEROGLYPHS

public static final Character.UnicodeScript EGYPTIAN_HIEROGLYPHS
Unicode script "Egyptian_Hieroglyphs".

### SAMARITAN

public static final Character.UnicodeScript SAMARITAN
Unicode script "Samaritan".

### MANDAIC

public static final Character.UnicodeScript MANDAIC
Unicode script "Mandaic".

### LISU

public static final Character.UnicodeScript LISU
Unicode script "Lisu".

### BAMUM

public static final Character.UnicodeScript BAMUM
Unicode script "Bamum".

### JAVANESE

public static final Character.UnicodeScript JAVANESE
Unicode script "Javanese".

### MEETEI_MAYEK

public static final Character.UnicodeScript MEETEI_MAYEK
Unicode script "Meetei_Mayek".

### IMPERIAL_ARAMAIC

public static final Character.UnicodeScript IMPERIAL_ARAMAIC
Unicode script "Imperial_Aramaic".

### OLD_SOUTH_ARABIAN

public static final Character.UnicodeScript OLD_SOUTH_ARABIAN
Unicode script "Old_South_Arabian".

### INSCRIPTIONAL_PARTHIAN

public static final Character.UnicodeScript INSCRIPTIONAL_PARTHIAN
Unicode script "Inscriptional_Parthian".

### INSCRIPTIONAL_PAHLAVI

public static final Character.UnicodeScript INSCRIPTIONAL_PAHLAVI
Unicode script "Inscriptional_Pahlavi".

### OLD_TURKIC

public static final Character.UnicodeScript OLD_TURKIC
Unicode script "Old_Turkic".

### BRAHMI

public static final Character.UnicodeScript BRAHMI
Unicode script "Brahmi".

### KAITHI

public static final Character.UnicodeScript KAITHI
Unicode script "Kaithi".

### MEROITIC_HIEROGLYPHS

public static final Character.UnicodeScript MEROITIC_HIEROGLYPHS
Unicode script "Meroitic Hieroglyphs".

Since:
  1.8

### MEROITIC_CURSIVE

public static final Character.UnicodeScript MEROITIC_CURSIVE
Unicode script "Meroitic Cursive".

Since:
  1.8

### SORA_SOMPENG

public static final Character.UnicodeScript SORA_SOMPENG
Unicode script "Sora Sompeng".

Since:
  1.8

### CHAKMA

public static final Character.UnicodeScript CHAKMA
Unicode script "Chakma".

Since:
  1.8

### SHARADA

public static final Character.UnicodeScript SHARADA
Unicode script "Sharada".

Since:
  1.8

### TAKRI

public static final Character.UnicodeScript TAKRI
Unicode script "Takri".

Since:
  1.8

### MIAO

public static final Character.UnicodeScript MIAO
Unicode script "Miao".

Since:
  1.8

### CAUCASIAN_ALBANIAN

public static final Character.UnicodeScript CAUCASIAN_ALBANIAN
Unicode script "Caucasian Albanian".

Since:
  9

### BASSA_VAH

public static final Character.UnicodeScript BASSA_VAH
Unicode script "Bassa Vah".

Since:
  9

### DUPLOYAN

public static final Character.UnicodeScript DUPLOYAN
Unicode script "Duployan".

Since:
  9

### ELBASAN

public static final Character.UnicodeScript ELBASAN
Unicode script "Elbasan".

Since:
  9

### GRANTHA

public static final Character.UnicodeScript GRANTHA
Unicode script "Grantha".

Since:
  9

### PAHAWH_HMONG

public static final Character.UnicodeScript PAHAWH_HMONG
Unicode script "Pahawh Hmong".

Since:
  9

### KHOJKI

public static final Character.UnicodeScript KHOJKI
Unicode script "Khojki".

Since:
  9

### LINEAR_A

public static final Character.UnicodeScript LINEAR_A
Unicode script "Linear A".

Since:
  9

### MAHAJANI

public static final Character.UnicodeScript MAHAJANI
Unicode script "Mahajani".

Since:
  9

### MANICHAEAN

public static final Character.UnicodeScript MANICHAEAN
Unicode script "Manichaean".

Since:
  9

### MENDE_KIKAKUI

public static final Character.UnicodeScript MENDE_KIKAKUI
Unicode script "Mende Kikakui".

Since:
  9

### MODI

public static final Character.UnicodeScript MODI
Unicode script "Modi".

Since:
  9

### MRO

public static final Character.UnicodeScript MRO
Unicode script "Mro".

Since:
  9

### OLD_NORTH_ARABIAN

public static final Character.UnicodeScript OLD_NORTH_ARABIAN
Unicode script "Old North Arabian".

Since:
  9

### NABATAEAN

public static final Character.UnicodeScript NABATAEAN
Unicode script "Nabataean".

Since:
  9

### PALMYRENE

public static final Character.UnicodeScript PALMYRENE
Unicode script "Palmyrene".

Since:
  9

### PAU_CIN_HAU

public static final Character.UnicodeScript PAU_CIN_HAU
Unicode script "Pau Cin Hau".

Since:
  9

### OLD_PERMIC

public static final Character.UnicodeScript OLD_PERMIC
Unicode script "Old Permic".

Since:
  9

### PSALTER_PAHLAVI

public static final Character.UnicodeScript PSALTER_PAHLAVI
Unicode script "Psalter Pahlavi".

Since:
  9

### SIDDHAM

public static final Character.UnicodeScript SIDDHAM
Unicode script "Siddham".

Since:
  9

### KHUDAWADI

public static final Character.UnicodeScript KHUDAWADI
Unicode script "Khudawadi".

Since:
  9

### TIRHUTA

public static final Character.UnicodeScript TIRHUTA
Unicode script "Tirhuta".

Since:
  9

### WARANG_CITI

public static final Character.UnicodeScript WARANG_CITI
Unicode script "Warang Citi".

Since:
  9

### AHOM

public static final Character.UnicodeScript AHOM
Unicode script "Ahom".

Since:
  9

### ANATOLIAN_HIEROGLYPHS

public static final Character.UnicodeScript ANATOLIAN_HIEROGLYPHS
Unicode script "Anatolian Hieroglyphs".

Since:
  9

### HATRAN

public static final Character.UnicodeScript HATRAN
Unicode script "Hatran".

Since:
  9

### MULTANI

public static final Character.UnicodeScript MULTANI
Unicode script "Multani".

Since:
  9

### OLD_HUNGARIAN

public static final Character.UnicodeScript OLD_HUNGARIAN
Unicode script "Old Hungarian".

Since:
  9

### SIGNWRITING

public static final Character.UnicodeScript SIGNWRITING
Unicode script "SignWriting".

Since:
  9

### ADLAM

public static final Character.UnicodeScript ADLAM
Unicode script "Adlam".

Since:
  11

### BHAIKSUKI

public static final Character.UnicodeScript BHAIKSUKI
Unicode script "Bhaiksuki".

Since:
  11

### MARCHEN

public static final Character.UnicodeScript MARCHEN
Unicode script "Marchen".

Since:
  11

### NEWA

public static final Character.UnicodeScript NEWA
Unicode script "Newa".

Since:
  11

### OSAGE

public static final Character.UnicodeScript OSAGE
Unicode script "Osage".

Since:
  11

### TANGUT

public static final Character.UnicodeScript TANGUT
Unicode script "Tangut".

Since:
  11

### MASARAM_GONDI

public static final Character.UnicodeScript MASARAM_GONDI
Unicode script "Masaram Gondi".

Since:
  11

### NUSHU

public static final Character.UnicodeScript NUSHU
Unicode script "Nushu".

Since:
  11

### SOYOMBO

public static final Character.UnicodeScript SOYOMBO
Unicode script "Soyombo".

Since:
  11

### ZANABAZAR_SQUARE

public static final Character.UnicodeScript ZANABAZAR_SQUARE
Unicode script "Zanabazar Square".

Since:
  11

### HANIFI_ROHINGYA

public static final Character.UnicodeScript HANIFI_ROHINGYA
Unicode script "Hanifi Rohingya".

Since:
  12

### OLD_SOGDIAN

public static final Character.UnicodeScript OLD_SOGDIAN
Unicode script "Old Sogdian".

Since:
  12

### SOGDIAN

public static final Character.UnicodeScript SOGDIAN
Unicode script "Sogdian".

Since:
  12

### DOGRA

public static final Character.UnicodeScript DOGRA
Unicode script "Dogra".

Since:
  12

### GUNJALA_GONDI

public static final Character.UnicodeScript GUNJALA_GONDI
Unicode script "Gunjala Gondi".

Since:
  12

### MAKASAR

public static final Character.UnicodeScript MAKASAR
Unicode script "Makasar".

Since:
  12

### MEDEFAIDRIN

public static final Character.UnicodeScript MEDEFAIDRIN
Unicode script "Medefaidrin".

Since:
  12

### ELYMAIC

public static final Character.UnicodeScript ELYMAIC
Unicode script "Elymaic".

Since:
  13

### NANDINAGARI

public static final Character.UnicodeScript NANDINAGARI
Unicode script "Nandinagari".

Since:
  13

### NYIAKENG_PUACHUE_HMONG

public static final Character.UnicodeScript NYIAKENG_PUACHUE_HMONG
Unicode script "Nyiakeng Puachue Hmong".

Since:
  13

### WANCHO

public static final Character.UnicodeScript WANCHO
Unicode script "Wancho".

Since:
  13

### YEZIDI

public static final Character.UnicodeScript YEZIDI
Unicode script "Yezidi".

Since:
  15

### CHORASMIAN

public static final Character.UnicodeScript CHORASMIAN
Unicode script "Chorasmian".

Since:
  15

### DIVES_AKURU

public static final Character.UnicodeScript DIVES_AKURU
Unicode script "Dives Akuru".

Since:
  15

### KHITAN_SMALL_SCRIPT

public static final Character.UnicodeScript KHITAN_SMALL_SCRIPT
Unicode script "Khitan Small Script".

Since:
  15

### VITHKUQI

public static final Character.UnicodeScript VITHKUQI
Unicode script "Vithkuqi".

Since:
  19

### OLD_UYGHUR

public static final Character.UnicodeScript OLD_UYGHUR
Unicode script "Old Uyghur".

Since:
  19

### CYPRO_MINOAN

public static final Character.UnicodeScript CYPRO_MINOAN
Unicode script "Cypro Minoan".

Since:
  19

### TANGSA

public static final Character.UnicodeScript TANGSA
Unicode script "Tangsa".

Since:
  19

### TOTO

public static final Character.UnicodeScript TOTO
Unicode script "Toto".

Since:
  19

### KAWI

public static final Character.UnicodeScript KAWI
Unicode script "Kawi".

Since:
  20

### NAG_MUNDARI

public static final Character.UnicodeScript NAG_MUNDARI
Unicode script "Nag Mundari".

Since:
  20

### UNKNOWN

public static final Character.UnicodeScript UNKNOWN
Unicode script "Unknown".

## Method Details

### values

public static Character.UnicodeScript[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Character.UnicodeScript valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static Character.UnicodeScript of(int codePoint)
Returns the enum constant representing the Unicode script of which the given character (Unicode code point) is assigned to.

Parameters:
  `codePoint` - the character (Unicode code point) in question.
Returns:
  The `UnicodeScript` constant representing the Unicode script of which this character is assigned to.
Throws:
  `IllegalArgumentException` - if the specified `codePoint` is an invalid Unicode code point.
See Also:
  - `Character.isValidCodePoint(int)`

### forName

public static final Character.UnicodeScript forName(String scriptName)
Returns the UnicodeScript constant with the given Unicode script name or the script name alias. Script names and their aliases are determined by The Unicode Standard. The files `Scripts.txt` and `PropertyValueAliases.txt` define script names and the script name aliases for a particular version of the standard. The `Character` class specifies the version of the standard that it supports.

Character case is ignored for all of the valid script names. The en_US locale's case mapping rules are used to provide case-insensitive string comparisons for script name validation.

Parameters:
  `scriptName` - A `UnicodeScript` name.
Returns:
  The `UnicodeScript` constant identified by `scriptName`
Throws:
  `IllegalArgumentException` - if `scriptName` is an invalid name
  `NullPointerException` - if `scriptName` is null